# PrimitiveFile Class Reference
[Base data types used in Form]

File uploads helper. More...

Inheritance diagram for PrimitiveFile:
[legend]

List of all members.

## Public Member Functions

| getOriginalName ()
| getMimeType ()
| clean ()
| setAllowedMimeTypes ($mimes)
| addAllowedMimeType ($mime)
| getAllowedMimeTypes ()
| isAllowedMimeType ()
| copyTo ($path, $name)
| copyToPath ($path)
| import ($scope)
| exportValue ()
| enableCheckUploaded ()
| disableCheckUploaded ()
| isCheckUploaded ()

## Private Member Functions

| checkUploaded ($file)

## Private Attributes

| $originalName = null
| $mimeType = null
| $allowedMimeTypes = array()
| $checkUploaded = true

## Detailed Description

File uploads helper.

Definition at line 17 of file PrimitiveFile.class.php.

## Member Function Documentation

PrimitiveFile::addAllowedMimeType | ( | $ | mime | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveFile

Definition at line 63 of file PrimitiveFile.class.php.

References Assert::isString().

Here is the call graph for this function:

PrimitiveFile::checkUploaded | ( | $ | file | ) | `[private]`

Definition at line 175 of file PrimitiveFile.class.php.

Referenced by copyToPath(), disableCheckUploaded(), enableCheckUploaded(), and import().

PrimitiveFile::clean | ( |  | ) |

Returns:
  PrimitiveFile

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveImage.

Definition at line 38 of file PrimitiveFile.class.php.

PrimitiveFile::copyTo | ( | $ | path,
|  | $ | name |
| ) |  |  |

Definition at line 85 of file PrimitiveFile.class.php.

References copyToPath().

Here is the call graph for this function:

PrimitiveFile::copyToPath | ( | $ | path | ) |

Definition at line 90 of file PrimitiveFile.class.php.

References checkUploaded().

Referenced by copyTo().

Here is the call graph for this function:

PrimitiveFile::disableCheckUploaded | ( |  | ) |

Returns:
  PrimitiveFile

Definition at line 163 of file PrimitiveFile.class.php.

References checkUploaded().

Here is the call graph for this function:

PrimitiveFile::enableCheckUploaded | ( |  | ) |

Returns:
  PrimitiveFile

Definition at line 153 of file PrimitiveFile.class.php.

References checkUploaded().

Here is the call graph for this function:

PrimitiveFile::exportValue | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 145 of file PrimitiveFile.class.php.

PrimitiveFile::getAllowedMimeTypes | ( |  | ) |

Definition at line 72 of file PrimitiveFile.class.php.

PrimitiveFile::getMimeType | ( |  | ) |

Definition at line 30 of file PrimitiveFile.class.php.

PrimitiveFile::getOriginalName | ( |  | ) |

Definition at line 25 of file PrimitiveFile.class.php.

PrimitiveFile::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveImage.

Definition at line 104 of file PrimitiveFile.class.php.

References checkUploaded(), BasePrimitive::import(), and isAllowedMimeType().

Here is the call graph for this function:

PrimitiveFile::isAllowedMimeType | ( |  | ) |

Definition at line 77 of file PrimitiveFile.class.php.

Referenced by import().

PrimitiveFile::isCheckUploaded | ( |  | ) |

Definition at line 170 of file PrimitiveFile.class.php.

PrimitiveFile::setAllowedMimeTypes | ( | $ | mimes | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveFile

Definition at line 50 of file PrimitiveFile.class.php.

References Assert::isArray().

Here is the call graph for this function:

## Member Data Documentation

PrimitiveFile::$allowedMimeTypes = array()`[private]`

Definition at line 22 of file PrimitiveFile.class.php.

PrimitiveFile::$checkUploaded = true`[private]`

Definition at line 23 of file PrimitiveFile.class.php.

PrimitiveFile::$mimeType = null`[private]`

Definition at line 20 of file PrimitiveFile.class.php.

PrimitiveFile::$originalName = null`[private]`

Definition at line 19 of file PrimitiveFile.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveFile.class.php